From bee8337965d1635a2d87372fd04d78f3dde292f9 Mon Sep 17 00:00:00 2001
From: Christian Heller <c.heller@plomlompom.de>
Date: Thu, 14 May 2015 04:38:15 +0200
Subject: [PATCH] Extend post-isntall script.

---
 jessie_start.sh | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

diff --git a/jessie_start.sh b/jessie_start.sh
index fbb2d33..7404460 100755
--- a/jessie_start.sh
+++ b/jessie_start.sh
@@ -1,5 +1,6 @@
 #!/bin/sh
 set -x
+set -e
 
 # Post-installation reduction. (Answer "no" to GRUB question.)
 dpkg-query -Wf '${Package} ${Priority}\n' | grep ' required' | sed 's/ required//' > list_white_unsorted 
@@ -40,13 +41,23 @@ echo 'en_US.UTF-8 UTF-8' >> /etc/locale.gen
 locale-gen
 echo 'export LC_ALL="en_US.UTF-8"' >> /etc/profile
 
-#apt-get -y install xserver-xorg xinit i3
+# Clone git repository.
+apt-get -y install ca-certificates
+apt-get -y install git
+git clone http://github.com/plomlompom/config
+config/symlink.sh
 
-# Install certificates.
-#apt-get -y install ca-certificates
+# Add user.
+useradd -m -s /bin/bash plom
+cp -R config /home/plom/
+chown -R plom /home/plom/config
+su plom -c /home/plom/config/symlink.sh
 
 # Set up window system.
-#apt-get -y install xserver-xorg xinit i3 i3status
+apt-get -y install xserver-xorg xinit i3 i3status
 
-# Add user.
-#useradd -m -s /bin/bash plom
+# Clean up.
+rm jessie_start.sh
+
+# Set password for user.
+passwd plom
-- 
2.30.2